<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$messagingappmid=$_POST['messagingappmid'];
	$messagingappname=checkvalidstring($_POST['messagingappname']);
	
	
	
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	 $eve = "select * from res_messagingapp_master where messagingappname='$messagingappname' and messagingappmid !=$messagingappmid";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "Messaging App code Already Inserted.";
		header('Location: messagingapp.php');
	}
	else
	{	

	$eve1 = "update res_messagingapp_master set messagingappname='$messagingappname' where messagingappmid='$messagingappmid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "messagingapp Record Updated succesfully";

		header('Location: messagingapp.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: messagingapp.php');

	}
	}

?>